Identity, people & notifications
Update Filter Config
Updates an employee-sync filter configuration fields via FilterConfigService.updateFilterConfig.
POSThttps://api.toku.com/stablecoin-payroll/update-filter-config
Not available to API keys yet. It will need integrations:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/update-filter-config' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"description": "string",
"filters": {},
"isDefault": true,
"appliesTo": [
"ADP"
],
"syncMode": [
"manual"
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"isActive": true
}'200 response
{
"id": "string",
"name": "string",
"description": "string",
"filters": {},
"isDefault": true,
"isActive": true,
"syncMode": [
"string"
],
"appliesTo": [
"string"
],
"lastUsedAt": "string",
"usageCount": 0,
"updatedBy": "string",
"updatedAt": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgIDstring<uuid>namestringrequiredAllowed: 1 to 100 characters
descriptionstringAllowed: at most 500 characters
filtersobject | objectrequiredNOTE(ck): a recursive z.lazy() schema has no contract form; TGA still checks it
Show child attributes
versionanyrequiredrootGroupanyrequiredisDefaultbooleanappliesTostring[]syncModestring[]idstring<uuid>requiredisActivebooleanResponse
200Successful response
idstringrequirednamestringrequireddescriptionstring | nullrequiredfiltersobject | objectrequiredNOTE(ck): a recursive z.lazy() schema has no contract form; TGA still checks it
Show child attributes
versionanyrequiredrootGroupanyrequiredisDefaultbooleanrequiredisActivebooleanrequiredsyncModearray | nullrequiredappliesToarray | nullrequiredlastUsedAtstring | nullrequiredusageCountintegerrequiredupdatedBystring | nullrequiredupdatedAtstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits